## kdepimlibs 4.13.0

=== CMakeLists.txt ===
project(kdepimlibs)

# where to look first for cmake modules. This line must be the first one or cmake will use the system's FindFoo.cmake
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")


############### The kdepimlibs version (used e.g. in KdepimLibsConfig.cmake) ###############
set(KDEPIMLIBS_VERSION_MAJOR 4)
set(KDEPIMLIBS_VERSION_MINOR 13)
set(KDEPIMLIBS_VERSION_PATCH 0)
set(KDEPIMLIBS_VERSION ${KDEPIMLIBS_VERSION_MAJOR}.${KDEPIMLIBS_VERSION_MINOR}.${KDEPIMLIBS_VERSION_PATCH})


############### search packages used by KDE ###############

set (QT_MIN_VERSION "4.8.0")
# kdepim depends on the latest released version of kdelibs, ie. 4.x kdepim depends on 4.x-1 kdelibs
find_package(KDE4 4.12.0 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(KDEPlatformProfile)
include(FeatureSummary)

set(CMAKE_AUTOMOC ON)
set(CMAKE_LINK_INTERFACE_LIBRARIES "")

include(GenerateExportHeader)

# Used by options
include(CMakeDependentOption)

############### Desktop vs. Mobile options ##############

if (KDE_PLATFORM_PROFILE STREQUAL "Mobile")
  set(_default_mobile_ui TRUE)
else()
  set(_default_mobile_ui FALSE)
endif()


############### Build Options ###############

option(KDEPIM_ONLY_KLEO "Only build the libraries needed by Kleopatra." FALSE)
cmake_dependent_option(KDEPIM_NO_KCAL "Build without legacy KCal" TRUE "KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED" FALSE)
cmake_dependent_option(KDEPIM_NO_KRESOURCES "Build without legacy KResource support." TRUE "KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED" FALSE)
cmake_dependent_option(KDEPIM_MOBILE_UI "Build UI for mobile devices instead of for desktops" TRUE "_default_mobile_ui" FALSE)
option(STATIC_LIBRARY "Build kdepimlibs as static libraries." FALSE)
#option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled." FALSE)
option(KDEPIMLIBS_RUN_ISOLATED_TESTS "Run the isolated tests." FALSE)

############### Load the CTest options ###############
# Setting DART_TESTING_TIMEOUT has no effect on the tests timeout,
# the timeout value must be changed directly in DartConfiguration.tcl
set(_DartConfigFile "${CMAKE_BINARY_DIR}/DartConfiguration.tcl")
if(EXISTS ${_DartConfigFile})
  set(DartTestingTimeout "120")
  file(READ ${_DartConfigFile} _DartConfigFile_content)
  string(REGEX REPLACE "TimeOut: 1500" "TimeOut: ${DartTestingTimeout}" _DartConfigFile_content ${_DartConfigFile_content})
  file(WRITE ${_DartConfigFile} ${_DartConfigFile_content})
endif()

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake)


############### Find the stuff we need ###############

set(Boost_MINIMUM_VERSION "1.34.0")
find_package(Boost ${Boost_MINIMUM_VERSION} COMPONENTS graph)
set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries" URL "http://www.boost.org" TYPE REQUIRED PURPOSE "Boost must include the boost-graph library")

#FindGpgme.cmake already handles the log message but we must ensure it is required.
find_package(Gpgme REQUIRED)
# configure macros
if (GPGME_FOUND)
  include (gpgme++/ConfigureChecks.cmake)
endif()

if (NOT KDEPIM_ONLY_KLEO)
  #FindAkonadi.cmake is only there for compatibility reasons, but we don't want to use that.
  set(Akonadi_MIN_VERSION "1.12.1")
  find_package(Akonadi ${Akonadi_MIN_VERSION} QUIET NO_MODULE)
  set_package_properties(Akonadi PROPERTIES DESCRIPTION "Akonadi server libraries" URL "http://pim.kde.org/akonadi" TYPE REQUIRED PURPOSE "Access to PIM storage and services")

  find_package(Sasl2)
  set_package_properties(Sasl2 PROPERTIES DESCRIPTION "cyrus-sasl" URL "http://asg.web.cmu.edu/sasl/sasl-library.html" TYPE REQUIRED PURPOSE "Login authentication for IMAP and Sieve")

  include (ConfigureChecks.cmake)

  set(SHARED_MIME_INFO_MINIMUM_VERSION "0.30")
  find_package(SharedMimeInfo)
  set_package_properties(SharedMimeInfo PROPERTIES DESCRIPTION "shared-mime-info" URL "http://freedesktop.org/wiki/Software/shared-mime-info" TYPE REQUIRED PURPOSE "Information about filetypes")

  set(LIBICAL_MIN_VERSION "0.42")
  find_package(Libical)
  set_package_properties(Libical PROPERTIES DESCRIPTION "libical" URL "http://sourceforge.net/projects/freeassociation" TYPE REQUIRED PURPOSE "Calendar support")

  find_package(QJSON)
  set_package_properties(QJSON PROPERTIES DESCRIPTION "QJSON" URL "http://qjson.sourceforge.net/" TYPE REQUIRED PURPOSE "Qt library for handling JSON data")

  if (KDE4_BUILD_TESTS)
    find_package(Xsltproc)
    set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces for all Akonadi resources.")

    find_package(LibXml2)
    set_package_properties(LibXml2 PROPERTIES DESCRIPTION "The LibXML2 library" URL "http://xmlsoft.org" TYPE OPTIONAL PURPOSE "Needed for building the knut Akonadi resource.")
  endif()

endif()

############### Needed commands before building anything ###############

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_QSTRINGBUILDER)

if (KDEPIM_MOBILE_UI)
  add_definitions( -DKDEPIM_MOBILE_UI )
endif()

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${Boost_INCLUDE_DIR})

if (KDEPIM_NO_KRESOURCES)
  add_definitions(-DKDEPIM_NO_KRESOURCES)
endif()
if (KDEPIM_NO_KCAL)
  add_definitions(-DKDEPIM_NO_KCAL)
endif()

if(STATIC_LIBRARY)
  set(LIBRARY_TYPE STATIC)
  add_definitions(-DKDEPIM_STATIC_LIBS)
  message(STATUS "Building kdepimlibs as static libraries")
else()
  set(LIBRARY_TYPE SHARED)
endif()


############### Now, we add the KDEPIMLibs components ###############
# These targets will always be built
add_subdirectory(cmake)
add_subdirectory(gpgme++)
add_subdirectory(qgpgme)

if (NOT KDEPIM_ONLY_KLEO)
  add_subdirectory(kabc)
  add_subdirectory(kalarmcal)
  if (NOT KDEPIM_NO_KCAL)
    add_subdirectory(kblog)
    add_subdirectory(kcal)
  endif()
  add_subdirectory(kcalcore)
  add_subdirectory(kcalutils)
  add_subdirectory(akonadi) # depends on kabc is build
  add_subdirectory(kholidays)
  add_subdirectory(kimap)
  add_subdirectory(kioslave)
  add_subdirectory(kldap)
  add_subdirectory(kmbox)
endif()
  add_subdirectory(kmime)
if (NOT KDEPIM_ONLY_KLEO)
  add_subdirectory(kpimidentities)
  add_subdirectory(kpimutils)
  add_subdirectory(kpimtextedit)
  if (NOT KDEPIM_NO_KRESOURCES)
    add_subdirectory(kresources)
  endif()
  add_subdirectory(ktnef)
  add_subdirectory(kxmlrpcclient)
  add_subdirectory(mailtransport)
  add_subdirectory(microblog)
  add_subdirectory(syndication)
  add_subdirectory(kontactinterface)
  # Build the CamelCase headers
  add_subdirectory(includes)
endif()


# doc must be a subdir of kdepimlibs
macro_optional_add_subdirectory(doc)

# All done, let's display what we found...
feature_summary(WHAT ALL
                     INCLUDE_QUIET_PACKAGES
                     FATAL_ON_MISSING_REQUIRED_PACKAGES
               )

############### Here we install some extra stuff  ###############

if (NOT KDEPIM_ONLY_KLEO)
  install(FILES kdepimlibs-mime.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
  update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})
endif()


# now create the KdepimLibsConfig.cmake file, which will be loaded by
# kdelibs/cmake/modules/FindKdepimLibs.cmake and which has to contain all information
# about the installed kdepimlibs anybody would like to have. Alex

# we need the absolute directories where stuff will be installed too
# but since the variables which contain the destinations can be relative
# or absolute paths, we need this macro to make them all absoulte, Alex
macro(MAKE_INSTALL_PATH_ABSOLUTE out in)
   if (IS_ABSOLUTE "${in}")    # IS_ABSOLUTE is new since cmake 2.4.8
      set(${out} "${in}")
   else()
      set(${out} "\${KDEPIMLIBS_INSTALL_DIR}/${in}")
   endif()
endmacro()

# all the following variables are put into KdepimLibsConfig.cmake, so
# they are usable by projects using kdepimlibs. Alex
make_install_path_absolute(KDEPIMLIBS_DATA_DIR            ${DATA_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_DBUS_INTERFACES_DIR ${DBUS_INTERFACES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_DBUS_SERVICES_DIR   ${DBUS_SERVICES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_INCLUDE_DIR         ${INCLUDE_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_LIB_DIR             ${LIB_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_BIN_DIR             ${BIN_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_LIBEXEC_DIR         ${LIBEXEC_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SBIN_DIR            ${SBIN_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_HTML_DIR            ${HTML_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_CONFIG_DIR          ${CONFIG_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_ICON_DIR            ${ICON_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_KCFG_DIR            ${KCFG_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_LOCALE_DIR          ${LOCALE_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_MIME_DIR            ${MIME_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SOUND_DIR           ${SOUND_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_TEMPLATES_DIR       ${TEMPLATES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_WALLPAPER_DIR       ${WALLPAPER_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_KCONF_UPDATE_DIR    ${KCONF_UPDATE_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_AUTOSTART_DIR       ${AUTOSTART_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_XDG_APPS_DIR        ${XDG_APPS_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_XDG_DIRECTORY_DIR   ${XDG_DIRECTORY_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SYSCONF_DIR         ${SYSCONF_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_MAN_DIR             ${MAN_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_INFO_DIR            ${INFO_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SERVICES_DIR        ${SERVICES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SERVICETYPES_DIR    ${SERVICETYPES_INSTALL_DIR})

# Used in configure_file() and install(EXPORT)
set(KDEPIMLIBS_TARGET_PREFIX KDEPIMLibs__)

# this file is installed and contains all necessary information about the installed kdepimlibs, it also loads the file with the exported targets
configure_file(KdepimLibsConfig.cmake.in "${CMAKE_CURRENT_BINARY_DIR}/KdepimLibsConfig.cmake" @ONLY)

# this file will be installed too and will be used by cmake when searching for the Config.cmake file to check the version of kdepimlibs, Alex
include(WriteBasicConfigVersionFile)
write_basic_config_version_file(${CMAKE_CURRENT_BINARY_DIR}/KdepimLibsConfigVersion.cmake
                                  VERSION ${KDEPIMLIBS_VERSION_MAJOR}.${KDEPIMLIBS_VERSION_MINOR}.${KDEPIMLIBS_VERSION_PATCH}
                                  COMPATIBILITY SameMajorVersion)

set(_KdepimLibsConfig_INSTALL_DIR ${LIB_INSTALL_DIR}/KdepimLibs/cmake)
# places where find_package() looks for FooConfig.cmake files:
# CMake >= 2.6.0 looks in lib/Foo*/cmake/, CMake >= 2.6.3 also looks in
# lib/cmake/Foo*/, which packagers prefer. So they can set the KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR
# option to have kdepimlibs install its Config file there. Alex
if(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)
   set(_KdepimLibsConfig_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/KdepimLibs)
endif()

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/KdepimLibsConfigVersion.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/KdepimLibsConfig.cmake
        DESTINATION ${_KdepimLibsConfig_INSTALL_DIR} )

# Install the file with the exported targets, use ${KDEPIMLIBS_TARGET_PREFIX} as prefix for the names of these targets, Alex
install(EXPORT kdepimlibsLibraryTargets
        NAMESPACE ${KDEPIMLIBS_TARGET_PREFIX}
        DESTINATION ${_KdepimLibsConfig_INSTALL_DIR}
        FILE KDEPimLibsLibraryTargetsWithPrefix.cmake )

=== akonadi/CMakeLists.txt ===
project(akonadi-kde)

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=5250 )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )
if(CMAKE_COMPILE_GCOV)
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
endif()

if (KDE4_BUILD_TESTS)
add_subdirectory( tests )
endif()

add_definitions( ${AKONADI_DEFINITIONS} )
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

# Set the resources and agents version
configure_file(kdepimlibs-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdepimlibs-version.h)

# Detect the QJson version (0.8.0 is BIC)
if (QJSON_VERSION VERSION_GREATER 0.7.1)
  set(USE_QJSON_0_8 TRUE)
endif()

configure_file(config-akonadi.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-akonadi.h)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)
add_subdirectory( kabc )
add_subdirectory( kcal )
add_subdirectory( kmime )
add_subdirectory( contact )
add_subdirectory( calendar )
add_subdirectory( notes )
add_subdirectory( socialutils )
add_subdirectory( xml )

include_directories(
  ${QT_QTDBUS_INCLUDE_DIR}
  ${Boost_INCLUDE_DIR}
  ${KDE4_INCLUDE_DIR}
  ${QJSON_INCLUDE_DIR}
  ${AKONADI_INCLUDE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/../kmime
  ${AKONADI_INCLUDE_DIR}/akonadi/private
)

# libakonadi-kde

set( akonadikde_LIB_SRC
  entity.cpp # keep it at top to not break enable-final
  actionstatemanager.cpp
  agentactionmanager.cpp
  agentbase.cpp
  agentfactory.cpp
  agentfilterproxymodel.cpp
  agentinstance.cpp
  agentinstancecreatejob.cpp
  agentinstancemodel.cpp
  agentinstancewidget.cpp
  agentmanager.cpp
  agentsearchinterface.cpp
  agenttype.cpp
  agenttypemodel.cpp
  agenttypewidget.cpp
  agenttypedialog.cpp
  asyncselectionhandler.cpp
  attribute.cpp
  attributefactory.cpp
  cachepolicy.cpp
  changemediator_p.cpp
  changerecorder.cpp
  changerecorder_p.cpp
  changenotificationdependenciesfactory.cpp
  collection.cpp
  collectionattributessynchronizationjob.cpp
  collectioncombobox.cpp
  collectioncopyjob.cpp
  collectioncreatejob.cpp
  collectiondeletejob.cpp
  collectionfilterproxymodel.cpp
  collectionfetchjob.cpp
  collectionfetchscope.cpp
  collectionmodel.cpp
  collectionmodel_p.cpp
  collectionmodifyjob.cpp
  collectionmovejob.cpp
  collectionpathresolver.cpp
  collectionquotaattribute.cpp
  collectionrequester.cpp
  collectionrightsattribute.cpp
  collectionselectjob.cpp
  collectionstatistics.cpp
  collectionstatisticsjob.cpp
  collectionstatisticsmodel.cpp
  collectionstatisticsdelegate.cpp
  collectionsync.cpp
  cachepolicypage.cpp
  collectiongeneralpropertiespage.cpp
  collectionpropertiesdialog.cpp
  collectionpropertiespage.cpp
  conflicthandling/conflicthandler.cpp
  conflicthandling/conflictresolvedialog.cpp
  control.cpp
  dbusconnectionpool.cpp
  entitycache.cpp
  entitydisplayattribute.cpp
  entityhiddenattribute.cpp
  entitydeletedattribute.cpp
  entitymimetypefiltermodel.cpp
  entityorderproxymodel.cpp
  entityrightsfiltermodel.cpp
  entitytreemodel.cpp
  entitytreemodel_p.cpp
  entitytreeview.cpp
  entityannotationsattribute.cpp
  erroroverlay.cpp
  etmviewstatesaver.cpp
  exception.cpp
  favoritecollectionsmodel.cpp
  firstrun.cpp
  gid/gidextractor.cpp
  indexpolicyattribute.cpp
  item.cpp
  itemcreatejob.cpp
  itemcopyjob.cpp
  itemdeletejob.cpp
  itemfetchjob.cpp
  itemfetchscope.cpp
  itemmodel.cpp
  itemmonitor.cpp
  itemmovejob.cpp
  itemsearchjob.cpp
  itemserializer.cpp
  itemserializerplugin.cpp
  itemmodifyjob.cpp
  itemsync.cpp
  invalidatecachejob.cpp
  job.cpp
  kdsignalblocker.cpp
  kjobprivatebase.cpp
  linkjob.cpp
  mimetypechecker.cpp
  monitor.cpp
  monitor_p.cpp
  notificationsource.cpp
  partfetcher.cpp
  pastehelper.cpp
  persistentsearchattribute.cpp
  preprocessorbase.cpp
  preprocessorbase_p.cpp
  protocolhelper.cpp
  progressspinnerdelegate.cpp
  recursivecollectionfilterproxymodel.cpp
  recursiveitemfetchjob.cpp
  recursivemover.cpp
  resourcebase.cpp
  resourcescheduler.cpp
  resourceselectjob.cpp
  resourcesynchronizationjob.cpp
  searchcreatejob.cpp
  searchquery.cpp
  searchresultjob.cpp
  selectionproxymodel.cpp
  selftestdialog.cpp
  session.cpp
  servermanager.cpp
  specialcollectionattribute.cpp
  specialcollections.cpp
  specialcollectionshelperjobs.cpp
  specialcollectionsrequestjob.cpp
  specialcollectionsdiscoveryjob.cpp
  standardactionmanager.cpp
  statisticsproxymodel.cpp
  subscriptiondialog.cpp
  subscriptionjob.cpp
  subscriptionmodel.cpp
  trashjob.cpp
  trashrestorejob.cpp
  trashsettings.cpp
  trashfilterproxymodel.cpp
  transactionjobs.cpp
  transactionsequence.cpp
  transportresourcebase.cpp
  typepluginloader.cpp
  attributeentity.cpp
  tag.cpp
  tagmodel.cpp
  tagmodel_p.cpp
  tagattribute.cpp
  tagcreatejob.cpp
  tagmodifyjob.cpp
  tagfetchscope.cpp
  tagfetchjob.cpp
  tagdeletejob.cpp
  tageditwidget.cpp
  tagmanagementdialog.cpp
  tagselectiondialog.cpp
  tagwidget.cpp
  unlinkjob.cpp
# Temporary until ported to Qt-plugin framework
  pluginloader.cpp
  resourcesettings.cpp
  renamefavoritedialog.cpp
  recentcollectionaction.cpp
  dragdropmanager.cpp
  collectionview.cpp
  entitylistview.cpp
  entitytreeviewstatesaver.cpp
  itemview.cpp
)

if (KDEPIM_MOBILE_UI)
  set( akonadikde_LIB_SRC ${akonadikde_LIB_SRC}
       collectiondialog_mobile.cpp
  )
else()
  set( akonadikde_LIB_SRC ${akonadikde_LIB_SRC}
       collectiondialog_desktop.cpp
  )
endif()

# DBus interfaces and adaptors
set(akonadi_xml ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.NotificationManager.xml)
set_source_files_properties(${akonadi_xml} PROPERTIES INCLUDE "notificationmessagev3_p.h" )
qt4_add_dbus_interface( akonadikde_LIB_SRC ${akonadi_xml} notificationmanagerinterface )

set(akonadi_xml ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.NotificationSource.xml)
set_source_files_properties(${akonadi_xml} PROPERTIES INCLUDE "notificationmessagev3_p.h" )
qt4_add_dbus_interface( akonadikde_LIB_SRC ${akonadi_xml} notificationsourceinterface )

qt4_add_dbus_interfaces( akonadikde_LIB_SRC ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.AgentManager.xml )
qt4_add_dbus_interfaces( akonadikde_LIB_SRC ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.Tracer.xml )
qt4_add_dbus_interfaces( akonadikde_LIB_SRC ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.Agent.Control.xml )
qt4_add_dbus_adaptor( akonadikde_LIB_SRC ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.Resource.xml resourcebase.h Akonadi::ResourceBase resourceadaptor Akonadi__ResourceAdaptor )
qt4_add_dbus_adaptor( akonadikde_LIB_SRC ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.Preprocessor.xml preprocessorbase_p.h Akonadi::PreprocessorBasePrivate preprocessoradaptor Akonadi__PreprocessorAdaptor )
qt4_add_dbus_adaptor( akonadikde_LIB_SRC ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.Agent.Status.xml agentbase.h Akonadi::AgentBase statusadaptor Akonadi__StatusAdaptor )
qt4_add_dbus_adaptor( akonadikde_LIB_SRC ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.Agent.Control.xml agentbase.h Akonadi::AgentBase controladaptor Akonadi__ControlAdaptor)
qt4_add_dbus_adaptor( akonadikde_LIB_SRC interfaces/org.freedesktop.Akonadi.Resource.Transport.xml transportresourcebase_p.h Akonadi::TransportResourceBasePrivate transportadaptor Akonadi__TransportAdaptor )
qt4_add_dbus_adaptor( akonadikde_LIB_SRC interfaces/org.freedesktop.Akonadi.Agent.Search.xml agentsearchinterface_p.h Akonadi::AgentSearchInterfacePrivate searchadaptor Akonadi__SearchAdaptor )


kde4_add_kcfg_files( akonadikde_LIB_SRC resourcebasesettings.kcfgc )
install( FILES resourcebase.kcfg DESTINATION ${KCFG_INSTALL_DIR} )

kde4_add_ui_files( akonadikde_LIB_SRC
  cachepolicypage.ui
  controlprogressindicator.ui
  selftestdialog.ui
  erroroverlay.ui
)

if (KDEPIM_MOBILE_UI)
  kde4_add_ui_files( akonadikde_LIB_SRC
    collectiongeneralpropertiespage_mobile.ui
  )
else()
  kde4_add_ui_files( akonadikde_LIB_SRC
    collectiongeneralpropertiespage.ui
  )
endif()

add_definitions(
  -DAKONADI_DEPRECATED=
)
# This one won't be needed when CMake 2.8.13 is depended on.
add_definitions(
  -DAKONADI_DEPRECATED_EXPORT=AKONADI_EXPORT
)

add_library( akonadi-kde ${LIBRARY_TYPE} ${akonadikde_LIB_SRC} )
if(CMAKE_MINIMUM_REQUIRED_VERSION VERSION_LESS 2.8.12)
  set_property(TARGET akonadi-kde PROPERTY DEFINE_SYMBOL akonadi_kde)
endif()
generate_export_header(akonadi-kde BASE_NAME akonadi)

if (KDE4_BUILD_TESTS)
   set(AKONADI_TESTS_EXPORT AKONADI_EXPORT)
endif()
configure_file(akonadiprivate_export.h.in "${CMAKE_CURRENT_BINARY_DIR}/akonadiprivate_export.h")

if (KDE4_BUILD_TESTS)
   set(AKONADI_TESTS_EXPORT AKONADI_EXPORT)
endif()
configure_file(akonadiprivate_export.h.in
  "${CMAKE_CURRENT_BINARY_DIR}/akonadiprivate_export.h"
)

target_link_libraries( akonadi-kde ${QT_QTNETWORK_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTSQL_LIBRARY} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} ${AKONADI_COMMON_LIBRARIES} ${QJSON_LIBRARIES})
set( AKONADI_KDE_DEPS ${KDE4_KDEUI_LIBS} ${QT_QTDBUS_LIBRARY} ${QT_QTCORE_LIBRARY} )

if (KDEPIM_MOBILE_UI)
target_link_libraries( akonadi-kde ${QT_QTDECLARATIVE_LIBRARY} )
endif()

target_link_libraries( akonadi-kde LINK_INTERFACE_LIBRARIES ${AKONADI_KDE_DEPS})

set_target_properties( akonadi-kde PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install( TARGETS akonadi-kde EXPORT kdepimlibsLibraryTargets  ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES
  ${CMAKE_CURRENT_BINARY_DIR}/akonadi_export.h
  agentactionmanager.h
  agentbase.h
  agentfactory.h
  agentfilterproxymodel.h
  agentinstance.h
  agentinstancecreatejob.h
  agentinstancemodel.h
  agentinstancewidget.h
  agentmanager.h
  agentsearchinterface.h
  agenttype.h
  agenttypemodel.h
  agenttypewidget.h
  agenttypedialog.h
  attribute.h
  attributefactory.h
  attributeentity.h
  cachepolicy.h
  cachepolicypage.h
  changerecorder.h
  collection.h
  collectionattributessynchronizationjob.h
  collectioncombobox.h
  collectioncopyjob.h
  collectioncreatejob.h
  collectiondeletejob.h
  collectiondialog.h
  collectionfilterproxymodel.h
  collectionfetchjob.h
  collectionfetchscope.h
  collectionmodel.h
  collectionmodifyjob.h
  collectionmovejob.h
  collectionpropertiesdialog.h
  collectionpropertiespage.h
  collectionpathresolver_p.h
  collectionquotaattribute.h
  collectionrequester.h
  collectionstatisticsdelegate.h
  collectionstatisticsmodel.h
  collectionstatistics.h
  collectionstatisticsjob.h
  collectionutils_p.h
  collectionview.h
  conflicthandling/abstractdifferencesreporter.h
  conflicthandling/differencesalgorithminterface.h
  control.h
  dbusconnectionpool.h
  entity.h
  entitydisplayattribute.h
  entityhiddenattribute.h
  entitydeletedattribute.h
  entitylistview.h
  entitymimetypefiltermodel.h
  entityrightsfiltermodel.h
  entityorderproxymodel.h
  entitytreemodel.h
  entitytreeview.h
  entitytreeviewstatesaver.h
  etmviewstatesaver.h
  entityannotationsattribute.h
  exception.h
  favoritecollectionsmodel.h
  gid/gidextractorinterface.h
  indexpolicyattribute.h
  item.h
  itemcreatejob.h
  itemcopyjob.h
  itemdeletejob.h
  itemfetchjob.h
  itemfetchscope.h
  itemmodel.h
  itemmodifyjob.h
  itemmonitor.h
  itemmovejob.h
  itempayloadinternals_p.h
  itemsearchjob.h
  itemserializerplugin.h
  itemsync.h
  itemview.h
  job.h
  linkjob.h
  mimetypechecker.h
  monitor.h
  partfetcher.h
  persistentsearchattribute.h
  preprocessorbase.h
  qtest_akonadi.h
  resourcebase.h
  resourcesynchronizationjob.h
  recursivecollectionfilterproxymodel.h
  recursiveitemfetchjob.h
  searchcreatejob.h
  searchquery.h
  selectionproxymodel.h
  session.h
  servermanager.h
  specialcollections.h
  specialcollectionsrequestjob.h
  specialcollectionsdiscoveryjob.h
  standardactionmanager.h
  statisticsproxymodel.h
  tagattribute.h
  tag.h
  tagmodel.h
  tagmodifyjob.h
  tagcreatejob.h
  tagfetchjob.h
  tagfetchscope.h
  tagdeletejob.h
  tagwidget.h

=== gpgme++/CMakeLists.txt ===
project( gpgmepp )
#KDE4_NO_ENABLE_FINAL(gpgmepp)
if (MINGW)
  set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -mms-bitfields")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mms-bitfields")
endif()

include_directories(  ${GPGME_INCLUDES} ${Boost_INCLUDE_DIR} )
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-gpgme++.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-gpgme++.h )

## gpgme comes in three flavours on each of the platforms:
##  Windows: gpgme, gpgme-glib, gpgme-qt
##     Unix: gpgme, gpgme-pthread, gpgme-pth
## We're building corresponding gpgme++ flavours

set(gpgme_LIB_SRCS 
        exception.cpp
        context.cpp key.cpp 
        trustitem.cpp 
        data.cpp 
        callbacks.cpp 
        eventloopinteractor.cpp 
        editinteractor.cpp
        assuanresult.cpp
        keylistresult.cpp
        keygenerationresult.cpp 
        importresult.cpp
        decryptionresult.cpp 
        verificationresult.cpp 
        signingresult.cpp 
        encryptionresult.cpp 
        engineinfo.cpp
        gpgsetexpirytimeeditinteractor.cpp
        gpgsetownertrusteditinteractor.cpp
        gpgsignkeyeditinteractor.cpp
        gpgadduserideditinteractor.cpp
        defaultassuantransaction.cpp
        scdgetinfoassuantransaction.cpp
        gpgagentgetinfoassuantransaction.cpp
        vfsmountresult.cpp
        configuration.cpp
)

set( _gpgmepp_version 2.8.0 )
set( _gpgmepp_soversion 2 )

set( GPGMEPP_INCLUDE ${INCLUDE_INSTALL_DIR} ${GPGME_INCLUDES} ${Boost_INCLUDE_DIR} )

if ( GPGME_VANILLA_FOUND )
   add_library( gpgmepp ${LIBRARY_TYPE} ${gpgme_LIB_SRCS} context_vanilla.cpp )
   generate_export_header(gpgmepp EXPORT_FILE_NAME gpgme++_export.h)

   target_link_libraries( gpgmepp ${GPGME_VANILLA_LIBRARIES} )
   set_target_properties( gpgmepp PROPERTIES
                                  VERSION     ${_gpgmepp_version}
                                  SOVERSION   ${_gpgmepp_soversion}
                                  OUTPUT_NAME gpgme++
   )
   get_target_property( GPGMEPP_VANILLA_LIBRARY gpgmepp LOCATION )
   install(TARGETS gpgmepp EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} COMPONENT Devel)

endif()

if ( GPGME_GLIB_FOUND )
   add_library( gpgmepp-glib ${LIBRARY_TYPE} ${gpgme_LIB_SRCS} context_glib.cpp )
   generate_export_header(gpgmepp-glib)
   target_link_libraries( gpgmepp-glib ${GPGME_GLIB_LIBRARIES} )
   set_target_properties( gpgmepp-glib PROPERTIES
                                       VERSION     ${_gpgmepp_version}
                                       SOVERSION   ${_gpgmepp_soversion}
                                       OUTPUT_NAME gpgme++-glib DEFINE_SYMBOL MAKE_GPGME___LIB
   )
   get_target_property( GPGMEPP_GLIB_LIBRARY gpgmepp LOCATION )
   install(TARGETS gpgmepp-glib EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )
endif()


if ( GPGME_QT_FOUND )
   add_library( gpgmepp-qt ${LIBRARY_TYPE} ${gpgme_LIB_SRCS} context_qt.cpp )
   generate_export_header(gpgmepp-qt)
   target_link_libraries( gpgmepp-qt ${GPGME_QT_LIBRARIES} )
   if(WIN32)
      target_link_libraries( gpgmepp-qt ${GPGME_VANILLA_LIBRARIES} )
   endif()
   set_target_properties( gpgmepp-qt PROPERTIES
                                     VERSION     ${_gpgmepp_version}
                                     SOVERSION   ${_gpgmepp_soversion}
                                     OUTPUT_NAME gpgme++-qt DEFINE_SYMBOL MAKE_GPGME___LIB
   )
   get_target_property( GPGMEPP_QT_LIBRARY gpgmepp LOCATION )
   install(TARGETS gpgmepp-qt EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )
endif()


if ( GPGME_PTHREAD_FOUND )
   add_library( gpgmepp-pthread ${LIBRARY_TYPE} ${gpgme_LIB_SRCS} context_vanilla.cpp )
   generate_export_header(gpgmepp-pthread)
   target_link_libraries( gpgmepp-pthread ${GPGME_PTHREAD_LIBRARIES} )
   set_target_properties( gpgmepp-pthread PROPERTIES
                                          VERSION     ${_gpgmepp_version}
                                          SOVERSION   ${_gpgmepp_soversion}
                                          OUTPUT_NAME gpgme++-pthread DEFINE_SYMBOL MAKE_GPGME___LIB
   )
   get_target_property( GPGMEPP_PTHREAD_LIBRARY gpgmepp LOCATION )
   install(TARGETS gpgmepp-pthread EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )
endif()

if ( GPGME_PTH_FOUND )
   add_library( gpgmepp-pth ${LIBRARY_TYPE} ${gpgme_LIB_SRCS} context_vanilla.cpp )
   generate_export_header(gpgmepp-pth)
   target_link_libraries( gpgmepp-pth ${GPGME_PTH_LIBRARIES} )
   set_target_properties( gpgmepp-pth PROPERTIES
                                      VERSION     ${_gpgmepp_version}
                                      SOVERSION   ${_gpgmepp_soversion}
                                      OUTPUT_NAME gpgme++-pth DEFINE_SYMBOL MAKE_GPGME___LIB
   )
   get_target_property( GPGMEPP_PTH_LIBRARY gpgmepp LOCATION )
   install(TARGETS gpgmepp-pth EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )
endif()

# this writes way too much, but do we care?
EXPORT_LIBRARY_DEPENDENCIES( ${CMAKE_CURRENT_BINARY_DIR}/GpgmeppLibraryDepends.cmake )

########### install files ###############

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/GpgmeppConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/GpgmeppConfig.cmake @ONLY )

if ( GPGME_FOUND )

   add_subdirectory( interfaces )

   install(FILES
        global.h error.h exception.h context.h key.h trustitem.h 
        eventloopinteractor.h editinteractor.h data.h gpgmefw.h result.h
        assuanresult.h
        keylistresult.h keygenerationresult.h 
        importresult.h decryptionresult.h verificationresult.h
        signingresult.h encryptionresult.h notation.h engineinfo.h
        gpgsetexpirytimeeditinteractor.h
        gpgsetownertrusteditinteractor.h
        gpgsignkeyeditinteractor.h
        gpgadduserideditinteractor.h
        defaultassuantransaction.h
        scdgetinfoassuantransaction.h
        gpgagentgetinfoassuantransaction.h
        configuration.h
        ${CMAKE_CURRENT_BINARY_DIR}/gpgme++_export.h vfsmountresult.h
        DESTINATION ${INCLUDE_INSTALL_DIR}/gpgme++ COMPONENT Devel
   )

   install(
     FILES
     ${CMAKE_CURRENT_BINARY_DIR}/GpgmeppConfig.cmake
     ${CMAKE_CURRENT_BINARY_DIR}/GpgmeppLibraryDepends.cmake
     DESTINATION
     ${LIB_INSTALL_DIR}/gpgmepp )

endif()

=== kabc/CMakeLists.txt ===

project(kabc)

include_directories(${KDE4_KIO_INCLUDES})

add_definitions(${QDBUS_DEFINITIONS} -DKDE_DEFAULT_DEBUG_AREA=5700)
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(
  -DKRESOURCES_DEPRECATED=
  -DKABC_DEPRECATED=
)
# This one won't be needed when CMake 2.8.13 is depended on.
add_definitions(
  -DKRESOURCES_DEPRECATED_EXPORT=KRESOURCES_EXPORT
  -DKABC_DEPRECATED_EXPORT=KABC_EXPORT
)

# these apply also for all subdirs
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/vcardparser
  ${CMAKE_BINARY_DIR}/kresources
)

# kabc/vcardparser/Makefile.am: vcards

set(vcards_STAT_SRCS
  vcardparser/vcard.cpp
  vcardparser/vcardline.cpp
  vcardparser/vcardparser.cpp
)

add_subdirectory(vcardparser)
if(NOT KDEPIM_NO_KRESOURCES)
  add_subdirectory(formats)
  add_subdirectory(plugins)
endif()
add_subdirectory(tests)

########### next target ###############

set(kabc_LIB_SRCS
  address.cpp
  addressee.cpp
  contactgroup.cpp
  contactgrouptool.cpp
  errorhandler.cpp
  field.cpp
  geo.cpp
  key.cpp
  ldapdn.cpp
  ldif.cpp
  phonenumber.cpp
  picture.cpp
  plugin.cpp
  secrecy.cpp
  sound.cpp
  timezone.cpp
  ldifconverter.cpp
  addresseelist.cpp
  vcardconverter.cpp
  vcardtool.cpp
  addresseehelper.cpp
  lock.cpp
  locknull.cpp
  sortmode.cpp
  vcarddrag.cpp
  ${vcards_STAT_SRCS}
  addresseedialog.cpp
  emailselectdialog.cpp
)

if(NOT KDEPIM_NO_KRESOURCES)
  set(kabc_LIB_SRCS
    ${kabc_LIB_SRCS}
    addressbook.cpp
    addresslineedit.cpp
    distributionlist.cpp
    distributionlistdialog.cpp
    formatfactory.cpp
    resource.cpp
    resourceabc.cpp
    resourcecached.cpp
    stdaddressbook.cpp
    vcardformat.cpp
  )
endif()

add_library(kabc ${LIBRARY_TYPE} ${kabc_LIB_SRCS})
generate_export_header(kabc)

target_link_libraries(kabc ${KDE4_KDEUI_LIBS} ${KDE4_KDECORE_LIBS})
target_link_libraries(kabc LINK_INTERFACE_LIBRARIES ${KDE4_KDEUI_LIBS})
if(NOT KDEPIM_NO_KRESOURCES)
  target_link_libraries(kabc kresources)
  target_link_libraries(kabc LINK_INTERFACE_LIBRARIES kresources)
endif()

set_target_properties(
  kabc PROPERTIES
  VERSION ${GENERIC_LIB_VERSION}
  SOVERSION ${GENERIC_LIB_SOVERSION}
)
install(TARGETS kabc EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES countrytransl.map DESTINATION ${DATA_INSTALL_DIR}/kabc)
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kabc_export.h
  address.h
  addressee.h
  addresseedialog.h
  addresseelist.h
  contactgroup.h
  contactgrouptool.h
  distributionlist.h
  emailselectdialog.h
  errorhandler.h
  field.h
  geo.h
  key.h
  ldifconverter.h
  lock.h
  locknull.h
  phonenumber.h
  picture.h
  plugin.h
  secrecy.h
  sortmode.h
  sound.h
  timezone.h
  vcardconverter.h
  vcarddrag.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kabc COMPONENT Devel
)

if(NOT KDEPIM_NO_KRESOURCES)
  install(FILES kabc_manager.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kresources)
  install(FILES
    addressbook.h
    addresslineedit.h
    distributionlistdialog.h
    format.h
    formatfactory.h
    resource.h
    resourceabc.h
    resourcecached.h
    stdaddressbook.h
    vcardformat.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kabc COMPONENT Devel
  )
endif()

=== kblog/CMakeLists.txt ===
project(kblog)

include_directories(${Boost_INCLUDE_DIR})
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )


#add_subdirectory( tests )

########### next target ###############

set(kblog_LIB_SRCS
   blog.cpp
   blogpost.cpp
   blogcomment.cpp
   blogmedia.cpp
   blogger1.cpp
   gdata.cpp
   # livejournal.cpp
   metaweblog.cpp
   movabletype.cpp
   wordpressbuggy.cpp
   )

include_directories(
  ${CMAKE_BINARY_DIR}/kcal
  ${CMAKE_BINARY_DIR}/kxmlrpcclient
  ${CMAKE_BINARY_DIR}/syndication
)

add_definitions(
  -DKCAL_DEPRECATED=
)
# This one won't be needed when CMake 2.8.13 is depended on.
add_definitions(
  -DKCAL_DEPRECATED_EXPORT=KCAL_EXPORT
)


add_library(kblog ${LIBRARY_TYPE} ${kblog_LIB_SRCS})
generate_export_header(kblog)

target_link_libraries(kblog kxmlrpcclient syndication ${KDE4_KIO_LIBS} kcal )

set_target_properties(kblog PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )

install(TARGETS kblog EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ##############

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/kblog_export.h blog.h blogpost.h blogcomment.h blogmedia.h blogger1.h gdata.h metaweblog.h movabletype.h wordpressbuggy.h 
         DESTINATION ${INCLUDE_INSTALL_DIR}/kblog COMPONENT Devel)

=== kcalutils/CMakeLists.txt ===
project(kcalutils)

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=5820)
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${KDE4_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}/kcalcore
  ${CMAKE_BINARY_DIR}/kpimidentities
  ${CMAKE_BINARY_DIR}/kpimutils
)

########### next target ###############

set(kcalutils_LIB_SRCS
  htmlexport.cpp
  icaldrag.cpp
  incidenceformatter.cpp
  recurrenceactions.cpp
  stringify.cpp
  scheduler.cpp
  vcaldrag.cpp
  dndfactory.cpp
)

kde4_add_kcfg_files(kcalutils_LIB_SRCS htmlexportsettings.kcfgc)

kde4_add_ui_files(kcalutils_LIB_SRCS recurrenceactionsscopewidget.ui)

add_library(kcalutils ${LIBRARY_TYPE} ${kcalutils_LIB_SRCS})
generate_export_header(kcalutils)

target_link_libraries(kcalutils
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEUI_LIBS}
  kcalcore
  kpimidentities
  kpimutils
  ${QT_QTGUI_LIBRARY}
)
set_target_properties(kcalutils PROPERTIES
  VERSION ${GENERIC_LIB_VERSION}
  SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(TARGETS kcalutils EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

add_subdirectory(tests)

########### install files ###############

install(FILES
  dndfactory.h
  htmlexport.h
  icaldrag.h
  incidenceformatter.h
  ${CMAKE_CURRENT_BINARY_DIR}/kcalutils_export.h
  vcaldrag.h
  recurrenceactions.h
  scheduler.h
  stringify.h
  ${CMAKE_CURRENT_BINARY_DIR}/htmlexportsettings.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kcalutils COMPONENT Devel)

=== kholidays/CMakeLists.txt ===
project(kholidays)

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=5350)
#add_definitions( -DQT_NO_CAST_FROM_ASCII )
#add_definitions( -DQT_NO_CAST_TO_ASCII )


add_subdirectory(holidays)
add_subdirectory(tests)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/parsers/plan2)

check_include_files(err.h HAVE_ERR_H)
check_include_files(sys/cdefs.h HAVE_SYS_CDEFS_H)
configure_file(config-kholidays.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kholidays.h)

########### next target ###############

set(kholidays_LIB_SRCS
  astroseasons.cpp
  holiday.cpp
  holidayregion.cpp
  holidayregionselector.cpp
  lunarphase.cpp
  sunriseset.cpp
  zodiac.cpp
  parsers/plan2/holidayscannerplan.cpp
  parsers/holidayparserdriver.cpp
  parsers/plan2/holidayparserdriverplan.cpp
  parsers/plan2/holidayparserplan.cpp
)

set(kholidays_UI
  holidayregionselector.ui
)

kde4_add_ui_files(kholidays_LIB_SRCS ${kholidays_UI})

add_library(kholidays ${LIBRARY_TYPE} ${kholidays_LIB_SRCS})
generate_export_header(kholidays)

target_link_libraries(kholidays ${KDE4_KDEUI_LIBS} ${QT_QTGUI_LIBRARY})

set_target_properties(kholidays PROPERTIES
  VERSION ${GENERIC_LIB_VERSION}
  SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(TARGETS kholidays EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

if(QT_QTDESIGNER_FOUND)
  set(kholidayswidgets_PART_SRCS)
  kde4_add_widget_files(kholidayswidgets_PART_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/kholidays.widgets)

  kde4_add_plugin(kholidayswidgets ${kholidayswidgets_PART_SRCS})

  target_link_libraries(kholidayswidgets ${KDE4_KIO_LIBS} kholidays)

  install(TARGETS kholidayswidgets DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer)
endif()

########### install files ###############

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kholidays_export.h
  astroseasons.h
  holiday.h
  holidayregion.h
  holidays.h
  lunarphase.h
  zodiac.h
  holidayregionselector.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kholidays COMPONENT Devel
)

=== kontactinterface/CMakeLists.txt ===
project(kontactinterface)

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=5601)

include_directories(${CMAKE_SOURCE_DIR}/kpimutils)

set(kontactinterface_LIB_SRCS
    core.cpp
    plugin.cpp
    summary.cpp
    uniqueapphandler.cpp
    pimuniqueapplication.cpp)

include_directories(
  ${CMAKE_BINARY_DIR}/kpimutils
)

add_library(kontactinterface ${LIBRARY_TYPE} ${kontactinterface_LIB_SRCS})
generate_export_header(kontactinterface)

target_link_libraries(kontactinterface kpimutils ${KDE4_KPARTS_LIBS})

set_target_properties(kontactinterface PROPERTIES
  VERSION ${GENERIC_LIB_VERSION}
  SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(TARGETS kontactinterface EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kontactinterface_export.h
  core.h
  plugin.h
  summary.h
  uniqueapphandler.h
  pimuniqueapplication.h
DESTINATION ${INCLUDE_INSTALL_DIR}/kontactinterface COMPONENT Devel)

install(FILES kontactplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== kpimtextedit/CMakeLists.txt ===
project(kpimtextedit)

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=5329)

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")

set(kpimtextedit_lib_srcs
  emailquotehighlighter.cpp
  textedit.cpp
  textutils.cpp
  emoticontexteditaction.cpp
  emoticontexteditselector.cpp
  inserthtmldialog.cpp
  inserttabledialog.cpp
  tableactionmenu.cpp
  tableformatdialog.cpp
  insertimagedialog.cpp
  htmlhighlighter.cpp
  insertimagewidget.cpp
  tablecellformatdialog.cpp
  selectspecialchar.cpp
)

include_directories(
  ${CMAKE_BINARY_DIR}/kpimidentities
  ${CMAKE_BINARY_DIR}/kmime
)

add_library(kpimtextedit ${LIBRARY_TYPE} ${kpimtextedit_lib_srcs})
generate_export_header(kpimtextedit)

target_link_libraries(kpimtextedit
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDE4_KEMOTICONS_LIBS}
  kmime
)

add_subdirectory(tests)

set_target_properties(kpimtextedit PROPERTIES
  VERSION ${GENERIC_LIB_VERSION}
  SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(TARGETS kpimtextedit EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_export.h
  textedit.h
  textutils.h
  emailquotehighlighter.h
  htmlhighlighter.h
  emoticontexteditaction.h
  inserthtmldialog.h
  inserttabledialog.h
  tableformatdialog.h
  insertimagedialog.h
  insertimagewidget.h
  tablecellformatdialog.h
  selectspecialchar.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kpimtextedit COMPONENT Devel
)

=== akonadi/contact/CMakeLists.txt ===

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${Boost_INCLUDE_DIR}
    ${CMAKE_BINARY_DIR}/kabc
    ${CMAKE_SOURCE_DIR}/kabc
)

find_package(Prison QUIET)
set_package_properties(Prison PROPERTIES DESCRIPTION "Prison" URL "http://projects.kde.org/prison" TYPE OPTIONAL PURPOSE "Needed to show mobile barcodes of your contacts")
if (PRISON_FOUND)
    add_definitions(-DHAVE_PRISON)
    include_directories(${PRISON_INCLUDE_DIR})
endif()

set( AKONADI_PHONE_DIAL_DEFAULT "UseSkype" )
set( AKONADI_SEND_SMS_DEFAULT  "UseSkypeSms" )

add_subdirectory(tests)
add_subdirectory(kcm)
add_subdirectory(editor/im)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII ${KDE4_ENABLE_EXCEPTIONS}")

########### next target ###############

set(akonadicontact_actions_SRCS
  actions/dialphonenumberaction.cpp
  actions/showaddressaction.cpp
  actions/qdialer.cpp
  actions/qskypedialer.cpp
  actions/sendsmsaction.cpp
  actions/smsdialog.cpp
  actions/qsflphonedialer.cpp
  actions/qekigadialer.cpp
)

configure_file( actions/contactactionssettings.kcfg.cmake ${CMAKE_CURRENT_BINARY_DIR}/contactactionssettings.kcfg @ONLY)
kde4_add_kcfg_files(akonadicontact_actions_SRCS actions/contactactionssettings.kcfgc)

set(akonadicontact_editor_SRCS
  editor/addresseditwidget.cpp
  editor/categorieseditwidget.cpp
  editor/contacteditorwidget.cpp
  editor/customfieldeditordialog.cpp
  editor/customfieldsdelegate.cpp
  editor/customfieldseditwidget.cpp
  editor/customfieldsmodel.cpp
  editor/dateeditwidget.cpp
  editor/displaynameeditwidget.cpp
  editor/emaileditwidget.cpp
  editor/freebusyeditwidget.cpp
  editor/geoeditwidget.cpp
  editor/im/imdelegate.cpp
  editor/im/imeditordialog.cpp
  editor/im/immodel.cpp
  editor/im/improtocols.cpp
  editor/im/imitemdialog.cpp
  editor/imagewidget.cpp
  editor/imeditwidget.cpp
  editor/kdatepickerpopup.cpp
  editor/nameeditdialog.cpp
  editor/nameeditwidget.cpp
  editor/phoneeditwidget.cpp
  editor/secrecyeditwidget.cpp
  editor/soundeditwidget.cpp
)

set(akonadicontact_LIB_SRC
  abstractcontactformatter.cpp
  abstractcontactgroupformatter.cpp
  attributeregistrar.cpp
  collectionfiltermodel.cpp
  contactcompletionmodel.cpp
  contactdefaultactions.cpp
  contacteditor.cpp
  contacteditordialog.cpp
  contactgroupeditor.cpp
  contactgroupeditordelegate.cpp
  contactgroupeditordialog.cpp
  contactgrouplineedit.cpp
  contactgroupexpandjob.cpp
  contactgroupmodel.cpp
  contactgroupsearchjob.cpp
  contactgroupviewer.cpp
  contactgroupviewerdialog.cpp
  contactmetadata.cpp
  contactmetadataattribute.cpp
  contactsearchjob.cpp
  contactsfilterproxymodel.cpp
  contactstreemodel.cpp
  contactviewer.cpp
  contactviewerdialog.cpp
  customfields.cpp
  customfieldmanager.cpp
  emailaddressselection.cpp
  emailaddressselectiondialog.cpp
  emailaddressselectionproxymodel.cpp
  emailaddressselectionwidget.cpp
  textbrowser.cpp
  leafextensionproxymodel.cpp
  recentcontactscollections.cpp
  recentcontactscollectionrequestjob.cpp
  standardcontactactionmanager.cpp
  standardcontactformatter.cpp
  standardcontactgroupformatter.cpp
  waitingoverlay.cpp
  ${akonadicontact_actions_SRCS}
)

if(NOT KDE_PLATFORM_PROFILE STREQUAL "Mobile")
set(akonadicontact_LIB_SRC
    ${akonadicontact_LIB_SRC}
    ${akonadicontact_editor_SRCS}
)
else()
add_definitions(-DDISABLE_EDITOR_WIDGETS)
endif()

qt4_wrap_ui(akonadicontact_LIB_SRC contactgroupeditor.ui)
kde4_add_kcfg_files(akonadicontact_LIB_SRC recentcontactscollectionssettings.kcfgc )

include_directories(
  ${CMAKE_BINARY_DIR}/kpimutils
  ${CMAKE_BINARY_DIR}/kmime
  ${CMAKE_BINARY_DIR}/kabc
  ${CMAKE_BINARY_DIR}/kcalcore
  ${CMAKE_BINARY_DIR}/akonadi
)

add_library(akonadi-contact ${LIBRARY_TYPE} ${akonadicontact_LIB_SRC})
if(CMAKE_MINIMUM_REQUIRED_VERSION VERSION_LESS 2.8.12)
  set_property(TARGET akonadi-contact PROPERTY DEFINE_SYMBOL akonadi_contact)
endif()
generate_export_header(akonadi-contact
  BASE_NAME akonadi_contact
  EXPORT_FILE_NAME akonadi-contact_export.h
)

if (KDE4_BUILD_TESTS)
   set(AKONADI_CONTACT_TESTS_EXPORT AKONADI_CONTACT_EXPORT)
endif()
configure_file(akonadi-contactprivate_export.h.in "${CMAKE_CURRENT_BINARY_DIR}/akonadi-contactprivate_export.h")



if (KDE4_BUILD_TESTS)
   set(AKONADI_CONTACT_TESTS_EXPORT AKONADI_CONTACT_EXPORT)
endif()
configure_file(akonadi-contactprivate_export.h.in
  "${CMAKE_CURRENT_BINARY_DIR}/akonadi-contactprivate_export.h"
)

target_link_libraries(akonadi-contact akonadi-kde
                                      kabc
                                      kcalcore
                                      kmime
                                      kpimutils
                                      ${KDE4_KDEUI_LIBS}
				      ${KDE4_KIO_LIBS} 
                                      ${KDE4_PHONON_LIBS})

if(PRISON_FOUND) 
target_link_libraries(akonadi-contact ${PRISON_LIBRARIES})
endif()

target_link_libraries(akonadi-contact LINK_INTERFACE_LIBRARIES
                                      akonadi-kde
                                      kabc
                                      kcalcore
                                      kmime
                                      kpimutils
                                      ${KDE4_KDEUI_LIBS}
                                      ${KDE4_KIO_LIBS}
                                      ${KDE4_PHONON_LIBS})

set_target_properties(akonadi-contact PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})

install(TARGETS akonadi-contact EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES editor/pics/world.jpg DESTINATION ${DATA_INSTALL_DIR}/akonadi/contact/pics)
install(FILES editor/data/zone.tab DESTINATION ${DATA_INSTALL_DIR}/akonadi/contact/data)
install(FILES recentcontactscollections.kcfg DESTINATION ${KCFG_INSTALL_DIR} )

install( FILES
  abstractcontactformatter.h
  abstractcontactgroupformatter.h
  ${CMAKE_CURRENT_BINARY_DIR}/akonadi-contact_export.h
  contactdefaultactions.h
  contacteditor.h
  contacteditordialog.h
  contacteditorpageplugin.h
  contactgroupeditor.h
  contactgroupeditordialog.h
  contactgroupexpandjob.h
  contactgroupsearchjob.h
  contactgroupviewer.h
  contactgroupviewerdialog.h
  contactsearchjob.h
  contactsfilterproxymodel.h
  contactstreemodel.h
  contactviewer.h
  contactviewerdialog.h
  emailaddressselection.h
  emailaddressselectiondialog.h
  emailaddressselectionwidget.h
  recentcontactscollectionrequestjob.h
  standardcontactactionmanager.h
  standardcontactformatter.h
  standardcontactgroupformatter.h
  editor/im/improtocols.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/akonadi/contact COMPONENT Devel
)

=== akonadi/socialutils/CMakeLists.txt ===
project(akonadi-social-utils)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include_directories(${QJSON_INCLUDE_DIR})

add_subdirectory(serializer)
add_subdirectory(tests)

set(akonadi_social_utils_SRCS
  socialnetworkattributes.cpp
  imageprovider.cpp
  socialfeeditem.cpp
)

set(akonadi_social_utils_HDRS
  ${CMAKE_CURRENT_BINARY_DIR}/libakonadisocialutils_export.h
  socialnetworkattributes.h
  imageprovider.h
  socialfeeditem.h
)

add_library(akonadi-socialutils SHARED ${akonadi_social_utils_SRCS})
if(CMAKE_MINIMUM_REQUIRED_VERSION VERSION_LESS 2.8.12)
  set_property(TARGET akonadi-socialutils PROPERTY DEFINE_SYMBOL akonadi_socialutils)
endif()
generate_export_header(akonadi-socialutils
  BASE_NAME libakonadisocialutils
  EXPORT_FILE_NAME libakonadisocialutils_export.h
)

target_link_libraries(akonadi-socialutils
  akonadi-kde
  ${KDE4_KIO_LIBS}
  ${QT_QTNETWORK_LIBS}
  ${QJSON_LIBRARIES}
  ${qjson_LIBRARIES} # for Debian
)

set_target_properties(akonadi-socialutils PROPERTIES
  VERSION ${GENERIC_LIB_VERSION}
  SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(TARGETS akonadi-socialutils EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${akonadi_social_utils_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/akonadi/socialutils)

=== akonadi/xml/CMakeLists.txt ===
if ( LIBXML2_FOUND )
  add_definitions( -DHAVE_LIBXML2 )
endif ()

add_subdirectory( tests )

include_directories(
    ${KDE4_INCLUDES}
    ${LIBXML2_INCLUDE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

set( akonadixml_SRCS
  xmldocument.cpp
  xmlreader.cpp
  xmlwriter.cpp
  xmlwritejob.cpp
)

set( akonadixml_HDRS
  ${CMAKE_CURRENT_BINARY_DIR}/akonadi-xml_export.h
  xmldocument.h
  xmlreader.h
  xmlwritejob.h
  xmlwriter.h
)

kde4_add_library(akonadi-xml ${LIBRARY_TYPE} ${akonadixml_SRCS})
generate_export_header(akonadi-xml BASE_NAME akonadi_xml EXPORT_FILE_NAME akonadi-xml_export.h)

target_link_libraries(akonadi-xml
  ${KDE4_KIO_LIBS}
  ${QT_QTXML_LIBRARY}
  ${LIBXML2_LIBRARIES}
  akonadi-kde
)

set_target_properties(akonadi-xml PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})

install(TARGETS akonadi-xml EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${akonadixml_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/akonadi/xml COMPONENT Devel)
install(FILES akonadi-xml.xsd DESTINATION ${DATA_INSTALL_DIR}/akonadi/)

kde4_add_executable(akonadi2xml akonadi2xml.cpp)
target_link_libraries(akonadi2xml
   akonadi-xml
   ${KDE4_KDEUI_LIBS}
   akonadi-kde
)

install(TARGETS akonadi2xml ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kdepimlibs (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:53:31 +0100

kdepimlibs (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:20:40 +0200

kdepimlibs (4:4.12.95-0ubuntu1) trusty; urgency=medium

  [ Rohan Garg ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Update symbols
  * libakonadi-xml4 breaks/replaces kdepim-runtime << 4:4.11.80 (LP: #1262748) 

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:09:21 +0100

kdepimlibs (4:4.12.90-0ubuntu2) trusty; urgency=medium

  * Remove dep on nepomuk now obsolete

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 23:33:55 +0000

kdepimlibs (4:4.12.90-0ubuntu1) trusty; urgency=medium

  [ Philip Muškovac ]
  * fix libakonadi-xml4.install for new lib version

  [ Jonathan Riddell ]
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Mar 2014 23:59:53 +0000

kdepimlibs (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:42:13 +0100

=== debian/control ===
Source: kdepimlibs
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
 Fathi Boudra <fabo@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
 kdelibs5-dev (>= 4:4.13.0),
 libgpgme11-dev, libldap2-dev, libsasl2-dev,
 libboost-dev, libboost-graph-dev, shared-mime-info,
 libakonadi-dev (>= 1.10.45), libical-dev (>= 1.0),
 shared-desktop-ontologies (>= 0.8), libsoprano-dev, xsltproc, uuid-dev,
 libprison-dev, libqjson-dev, libxslt1-dev, libx11-dev, pkg-config
Standards-Version: 3.9.3
Homepage: http://pim.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepimlibs
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepimlibs
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdepimlibs.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kdepimlibs.git

Package: kdepimlibs5-dev
Section: libdevel
Architecture: any
Depends: ${sameVersionDep:kdelibs5-dev:libakonadi-kde4}, ${allLibraries},
 ${misc:Depends}, libgpgme11-dev
Replaces: kdepimlibs-data (<< 4:4.1.80), libkleopatra1-dev, kdepim-runtime (<< 4:4.11.80)
Breaks: kdepimlibs-data (<< 4:4.1.80), libkleopatra1-dev, kdepim-runtime (<< 4:4.11.80)
Description: development files for the KDE Development Platform PIM libraries
 This package contains development files for building software that uses
 the KDE Development Platform Personal Information Management libraries.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: kdepimlibs-kio-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-modules
Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Description: kio slaves used by KDE PIM applications
 This package contains the imap4, ldap, mbox, nntp, pop3, sieve and smtp kio
 slaves.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-contact4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepim-runtime (<< 4:4.4.0)
Breaks: kdepim-runtime (<< 4:4.4.0)
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kabc4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0), akonadi-kde (<< 4:4.1.80)
Breaks: kdepimlibs5 (<< 4:4.4.0), akonadi-kde (<< 4:4.1.80)
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kcal4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepim-runtime (<< 4:4.4.0), akonadi-kde (<< 4:4.1.80)
Breaks: kdepim-runtime (<< 4:4.4.0), akonadi-kde (<< 4:4.1.80)
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kde4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kmime4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-socialutils4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Akonadi resources for handling social feeds
 Akonadi resource types for social media related feeds.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-notes4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libgpgme++2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: c++ wrapper library for gpgme
 GpgME++ is a C++ wrapper (or C++ bindings) for the GnuPG project's gpgme
 (GnuPG Made Easy) library.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkabc4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Description: library for handling address book data
 This library provides an API for address book data. It includes features
 such as:
  * Value based interface, addressbook entry data is implicitly shared.
  * Address book entries are identified by a unique id.
  * vCard backend (RFC 2425 / RFC 2426).
  * Locking mechanism to support concurrent access to the address book by
    multiple processes.
  * Notification on change of addressbook by other process.
  * Dialog for selecting address book entries, supports mouse and keyboard
    selection, supports automatic name completion.
  * GUI client for viewing, modifying address book data. This is aimed at
    developers not end users.
  * Tool for converting data, written with libkab, to libkabc format.
  * Multiple backends (resources) for storing entries e.g. LDAP
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkblog4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: client-side support library for web application remote blogging APIs
 KBlog is a library for calling functions on Blogger 1.0, MetaWeblog,
 MovableType and GData compatible blogs. It calls the APIs using KXmlRpcClient
 and Syndication. It supports asynchronous sending and fetching of posts and,
 if supported on the server, multimedia files. Almost every modern blogging web
 application that provides an XML data interface supports one of the APIs
 mentioned above.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkalarmcal2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for handling kalarm calendar data
 This library provides access to and handling of kalarm calendar data.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkcal4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Description: library for handling calendar data
 This library provides access to and handling of calendar data. It supports
 the standard formats iCalendar and vCalendar and the group scheduling
 standard iTIP.
 .
 This library integrates with the deprecated KResource framework, and its use
 is discouraged in favour of KCalCore and KCalUtils.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkcalcore4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for handling calendar data
 This library provides access to and handling of calendar data. It supports
 the standard formats iCalendar and vCalendar and the group scheduling
 standard iTIP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkcalutils4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library with utility functions for the handling of calendar data
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkholidays4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkimap4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-modules
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: library for handling IMAP data
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkldap4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: library for accessing LDAP
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkmbox4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for handling mbox mailboxes
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-calendar4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions for integrate the use of Akonadi calendar
 items in applications.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkmime4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: library for handling MIME data
 This library provides an API for handling MIME data. MIME (Multipurpose
 Internet Mail Extensions) is an Internet Standard that extends the format
 of e-mail to support text in character sets other than US-ASCII, non-text
 attachments, multi-part message bodies, and header information in non-ASCII
 character sets.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkontactinterface4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kontact (<< 4:4.1.80), libkontactinterfaces4
Breaks: kontact (<< 4:4.1.80), libkontactinterfaces4
Description: Kontact interface library
 This library provides the glue necessary for application "Parts" to be
 embedded as a Kontact component (or plugin).
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpimidentities4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_addsubst_allLibraries = kdepimlibs5-dev kdepimlibs-dbg
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false

.PHONY: override_dh_auto_test

# Get rid of the dependency on kde{base,pim}-runtime
override_dh_shlibdeps:
	$(overridden_command) -- -xkdebase-runtime -xkde-runtime \
		-xkdepim-runtime -xkdepimlibs-kio-plugins

override_dh_strip:
	$(overridden_command) --dbg-package=kdepimlibs-dbg

override_dh_makeshlibs:
	$(overridden_command) -- -c0
